Commit 6e6c8a53 authored by Natanael Copa's avatar Natanael Copa

main/ruby: remove ruby-gems subpackage

ruby does not work witout it

fixes #2261
parent c66a8f17
......@@ -3,7 +3,7 @@
pkgname=ruby
pkgver=2.0.0_p247
_pkgver=${pkgver/_/-}
pkgrel=1
pkgrel=2
_abi=2.0.0
......@@ -14,7 +14,7 @@ license="Ruby"
depends=""
makedepends="zlib-dev openssl-dev libiconv-dev gdbm-dev db-dev readline-dev
libffi-dev coreutils yaml-dev autoconf"
subpackages="$pkgname-doc $pkgname-dev $pkgname-irb $pkgname-gems \
subpackages="$pkgname-doc $pkgname-dev $pkgname-irb
$pkgname-rdoc $pkgname-rake $pkgname-bigdecimal
$pkgname-io-console:io_console $pkgname-minitest
$pkgname-libs
......@@ -25,6 +25,7 @@ patches="
source="ftp://ftp.ruby-lang.org/pub/ruby/${pkgver%.*}/${pkgname}-${_pkgver}.tar.bz2
$patches"
options="!fhs"
replaces="ruby-gems"
#
# maybe its a good idea to split dep libs to seperate pkg's.
......@@ -39,7 +40,6 @@ _arch=$CARCH
case $CARCH in
x86) _arch=i386;;
esac
prepare() {
cd "$_builddir"
......@@ -140,16 +140,6 @@ _rmgem() {
return 0
}
gems() {
pkgdesc="The Ruby standard for packaging ruby libraries"
replaces="rubygems"
depends="ruby"
arch="noarch"
_mv usr/bin/gem \
$_rubydir/rubygems \
|| return 1
}
rake() {
pkgdesc="Ruby based make-like utility"
depends="ruby"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment